Skip to main content
GET
/
vault
/
filter
cURL
curl --request GET \
  --url https://stake-for-fee-api.meteora.ag/vault/filter
{
  "total": 1,
  "data": [
    {
      "vault_address": "<string>",
      "pool_address": "<string>",
      "token_a_mint": "<string>",
      "token_b_mint": "<string>",
      "stake_mint": "<string>",
      "token_a_symbol": "<string>",
      "token_b_symbol": "<string>",
      "total_staked_amount": 123,
      "total_staked_amount_usd": 123,
      "current_reward_token_a_usd": 123,
      "current_reward_token_b_usd": 123,
      "current_reward_usd": 123,
      "daily_reward_usd": 123,
      "created_at_slot": 123,
      "created_at_slot_timestamp": 123,
      "created_at_tx_sig": "<string>",
      "seconds_to_full_unlock": 123,
      "start_fee_distribute_timestamp": 123,
      "marketcap": 123,
      "flags": {
        "tvl_usd_threshold": 123,
        "tvl_usd_threshold_reached": true
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pool_address
string[] | null

The list of pool addresses. Maximum of 100 pool addresses.

Response

200 - application/json

Filtered Stake2Earn vaults.

total
integer
required
Required range: x >= 0
data
object[]
required